image: aergus/latex

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  GIT_HOOKS_DIR: .git/hooks
  GIT_POST_CHECKOUT_HOOK_FILE: post-checkout

before_script:
  - apt-get update -qq && apt-get install -y -qq graphviz

stages:
  - build

cahier-des-charges:
  stage: build
  only:
    - tags
  script:
    - install -D .$GIT_POST_CHECKOUT_HOOK_FILE $GIT_HOOKS_DIR/$GIT_POST_CHECKOUT_HOOK_FILE
    - git checkout $CI_COMMIT_TAG
    - latexmk -pdf $CI_PROJECT_NAME.tex
    - mv $CI_PROJECT_NAME.pdf $CI_PROJECT_NAME-$CI_COMMIT_REF_NAME.pdf
    - cat $CI_PROJECT_NAME-structure.sql $CI_PROJECT_NAME-data*.sql $CI_PROJECT_NAME-constraints.sql $CI_PROJECT_NAME-permissions.sql > $CI_PROJECT_NAME-$CI_COMMIT_REF_NAME.sql
  artifacts:
    name: "$CI_PROJECT_NAME-$CI_COMMIT_REF_NAME"
    paths:
      - $CI_PROJECT_NAME-$CI_COMMIT_REF_NAME.pdf
      - $CI_PROJECT_NAME-$CI_COMMIT_REF_NAME.sql
